IDM Queues
IDM has 2 main queues: download queue and synchronization queue. Also you can create any number of additional queues.
You can schedule the start and the stop times of download/synchronization queues, or you can start and stop download queues manually. The main IDM list of downloads has "Q" column that shows which queue downloads belong to.
The icon with three yellow files means that the download belongs to the main download queue, three green files icon stands for the main synchronization queue. The icon with two yellow and the icon with two green files show that the download belongs to an additional download queue and an additional synchronization queue correspondingly. If a queue is scheduled for the start, then its icon has a small clock sign.
The categories field of the main IDM window has "Queues" node that shows the list of queues.
The list of queues.png
When you select a queue in the list, the main IDM list of downloads shows only the files that belong to the selected queue. The queues in this list have a simple and convenient context menu.
To display context menu you can either right click on the queue, or select the queue and press context menu button on the keyboard.
When you add a new file to download, IDM adds it to the main download queue by default, and IDM deletes the file form the download queue when its download is complete.
You can move or add files from one queue to another with the following ways:
  • using corresponding menu item in the context menu of the main download list
  • using "drag and drop" from the main download list to the list of queues on the main IDM window
  • using "drag and drop" from the list of files to the list of queues on IDM scheduler dialog, Note that downloaded files won't move to the download queues (only to synchronization queues)
Starting and stopping queues
When IDM queue is started, IDM downloads one or several files from the queue at the same time. The number of files to download at the same time can be set for each queue individually on Scheduler -> "Files in the queue" tab.
You can also start (stop) queue processing with the following ways:
  • you can press "Start Queue" and "Stop queue" on the main IDM toolbar to start and stop main download queue
  • you can use drop-down buttons located near "Start Queue" and "Stop queue" buttons on the toolbar to start/stop other queues. When you click on drop-down buttons, IDM shows the list of queues to select from.
    Start and stop queue buttons.png

  • you can pick "Downloads->Start Queue->[Corresponding Queue name]" or "Downloads->Stop Queue->[Corresponding Queue name]" menu items from IDM main menu
  • you can pick Start or Stop menu items from queue context menu in the list of queues in "Categories" window
  • you can start and stop queues in Scheduler dialog using "Start Now" and "Stop" buttons
  • you can also schedule the time to start the queue as well as the time to stop queue processing on Scheduler dialog


Scheduler
The scheduler dialog window is opened when you click on Scheduler button, or pick "Downloads->Scheduler" main menu item, or pick "Edit queue", "Schedule", or "Create new queue" menu items from queue context menu in the list of queues in "Categories" window.

Here you can move through the list of queues and select different queues. Each selected queue will have its individual information on "Schedule" and "Files in the queue" tabs. You can start the queue manually by pushing on "Start Now" button. You can also schedule the time to start the queue as well as the time to stop queue processing.
IDM processes download queue and deletes files from download queue when their download is complete. You should select "One-time downloading" radio button to assign a download queue.
When IDM is processing a synchronization queue, IDM checks if the files in the queue have been changed on the server, and if changed, it will download new files and replace old on new ones. All files will stay in the queue after synchronization. You should select "Periodic synchronization" radio button to assign a synchronization queue. You can change between synchronization and download queues only for custom additional queues.
For a next synchronization it will be possible to start the queue processing many times in every predefined number of minutes/hours. The scheduler will run the queue periodically until the time specified in "Stop download at", or if it's not specified then until the end of the day.
It's possible to stop any queue at a specified time if you check "Stop download at" box and specify the time. Note that the queue will stop independently of "Start download at" checkbox state.
If IDM cannot download a file, it places the file to the end of the queue and starts to download a next file. If the file that IDM cannot download is left alone in the queue, IDM will retry to download the file infinitely with 30 seconds interval between retries until it downloads the file eventually.
Sometimes there are files in the queue that cannot be downloaded at all, for example, when they were deleted from a site. In this case IDM will retry to download them indefinitely anyway. If you want to limit the number of download attempts for such files, and possibly you may want IDM to do some actions on download completion for other files in the queue, you should check "Number of retries for each file if downloading failed" checkbox and set the required number of download attempts.
You can schedule some actions on finishing queue processing. To hang up your modem check "Hang up modem when done" checkbox. If you check "Turn off computer when done" option IDM will shutdown your computer after processing download queue. Use "Force processes to terminate" option with caution, since this can cause other applications to lose data. Also you can open a file or run a program after finish processing a queue. If you want to run several files on completion of a queue, you can create a batch .bat file and specify it in "Open the following file when done".
Please note that all these actions won't be started if queue processing has been stopped manually.
In "Files in the queue" tab you can see and change the order of files in the queue.

You can change the order of downloads for one or several selected files by using arrow buttons or by using drag & drop. You can also delete download tasks from the queue with Delete button. Later you can add the file to download queue in the main window by right clicking on file name and picking "Add to Queue" item or with other ways
By using drag and drop, you can move files to another queue from the list of queues on the left pane. Note that complete files won't be placed to download queues, only synchronization queues.
After starting a queue processing IDM starts downloading one file or several files at the same time from the queue. You can set the number of downloaded files at the same time for each queue individually in the corresponding list box.
There are sites that don't allow opening more than one connection from one computer. If you want to download several files from such site, you should create a separate queue for this site and set "Download" 1 "file at the same time" on this tab. Also you should add such sites to the list of exceptions in IDM "Options->Connection" tab with 1 connection to always download one file using only one connection.
Download Limits
If you want to set download quotas on using your Internet connection, you should set IDM Download Limits. It's useful for Internet connections that have some kind of fair access policy (like Direcway, Direct PC, Hughes, etc.). Let's say you set 40MB/hour (or not more than 150MB every 4 hours). IDM will download the maximum it can under the quota, and then resume automatically at a later time. This way you can download large files at the maximum possible speed.

Saving scheduler changes
The changes in the order or contents of queues are saved immediately. Other changes are saved when you press on "Apply" button, or, independently of "Apply" button, the changes are saved when you move between queues or when you close the Scheduler dialog. You should use "Apply" button when you want to save changes and still see the same queue at the same window.